Redmine - Feature #34932

"Copy link" feature for issues list
2021-03-19 05:49 - Mizuki ISHIKAWA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Issues list Estimated time: 0.00 hour
Target version: 5.0.0

Resolution: Fixed

Description

Added the feature to copy issue and journal links by #34703.
| think it would be convenient if that feature could also be used in the context menu.

If you have selected one issue:

e Copy to https://redmine-host/issues/:id

If you have selected multiple issue:

¢ Copy to hitps:/redmine-host/issues?issue_id=1%2C2&set _filter=1&status_id=%2A (
https://redmine-host/issues?issue_id=1,2&set_filter=1&status_id="*)
after-accessing-the-copied-url.png

Related issues:
Related to Redmine - Feature #34703: "Copy link" feature for issue and issue ... Closed
Related to Redmine - Feature #14125: Issue cherry picking Closed

Associated revisions

Revision 20939 - 2021-04-13 09:20 - Go MAEDA
"Copy link" feature for issues list (#34932).

Patch by Mizuki ISHIKAWA.

History

#1 - 2021-03-19 06:33 - Mizuki ISHIKAWA

- File add_copy_link_item_to_context_menu_v2.patch added

Changed the element position in the context menu.

#2 - 2021-03-19 06:40 - Go MAEDA

- Related to Feature #34703: "Copy link" feature for issue and issue journal added

#3 - 2021-03-28 08:09 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2021-04-09 10:16 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#5 - 2021-04-13 09:21 - Go MAEDA

- Tracker changed from Patch to Feature

- Subject changed from Add "Copy link" item to the context menu to "Copy link" feature for issues list
- Status changed from New to Closed

- Assignee set to Go MAEDA

2025-07-06 1/2



https://www.redmine.org/issues/34703
https://redmine-host/issues/:id
https://redmine-host/issues?issue_id=1%2C2&set_filter=1&status_id=%2A
https://redmine-host/issues?issue_id=1,2&set_filter=1&status_id=*

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

#6 - 2021-07-02 11:31 - Go MAEDA
- Related to Feature #14125: Issue cherry picking added
